<?php
session_start();
include('config.php');
include($rutaPhp.$rutaHtml.'/maqueta/includes.php');

include($rutaPhp.$rutaHtml.'/acceso/control.php');


if($_POST['boton']) {
	if($_POST['copyPaste']) $_SESSION['copyPaste']=true; else $_SESSION['copyPaste']=false;
	if($_POST['activaScannerBluetooth']) $_SESSION['desactivaScannerBluetooth']=false; else $_SESSION['desactivaScannerBluetooth']=true;
}

//Pongo el arriba.php aqui porque las variables de session de arriba, se reasignan modificando el config.php en la maqueta arriba
include($rutaPhp.$rutaHtml.'/maqueta/arriba.php');

if($_POST['boton']) {
	?><script>alert('Configuración guardada.',null,'ok');</script><?php
}


?>

<h2>Configuración scanner</h2>

<form id="formulario" name="formulario" method="post" action="">

  <table class="tablaFormateada">
    <tr><th colspan="2">Configuraciones disponibles</th></tr>
    
    <?php //echo '<p>copyPaste: '.$copyPaste.'</p>'; ?>
    <?php //echo '<p>usuario PermiteCopiarPegar: '.$_SESSION['usuario']['PermiteCopiarPegar'].'</p>'; ?>
    
    <?php if($copyPaste || $_SESSION['usuario']['PermiteCopiarPegar']=='S') { ?>
    <tr>
   	  <td><input type="checkbox" name="copyPaste" id="copyPaste" class="checkGrande" <?php if($copyPaste) { ?>checked<?php } ?>/></td>
        	<td align="left" style="border-left:0"><p>Copiar y pegar.</p></td>
        </tr>
    <tr>
    <?php } ?>
    
   	  <td><input type="checkbox" name="activaScannerBluetooth" id="activaScannerBluetooth" class="checkGrande" <?php if(!$desactivaScannerBluetooth) { ?>checked<?php } ?>/></td>
        	<td align="left" style="border-left:0"><p>Lectura de códigos multidato GS1-128.</p></td>
        </tr>
  </table>

	<p style="font-size:1em"><strong>IMPORTANTE:</strong> Estas configuraciones se aplican localmente, en esta sesión de usuario y con este dispositivo. No es una configuración general ni afecta a los demás usuarios.</p>
	
    <p><input type="submit" name="boton" id="boton" value="GUARDAR" class="boton mostrarCargando"/></p>
  
</form>

<script>

$(document).ready(function() {
	

	
});

</script>

<?php
include($rutaPhp.$rutaHtml.'/maqueta/abajo.php');
?>
